"""
Copyright © 2024 Arm Ltd and Contributors. All rights reserved.
SPDX-License-Identifier: Apache-2.0
"""
# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: Datas.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(
    b'\n\x0b\x44\x61tas.proto\"\x18\n\x07Request\x12\r\n\x05\x64\x61tas\x18\x01 \x01(\x0c\"\x16\n\x05Reply\x12\r\n\x05reply\x18\x01 \x01(\t21\n\nMainServer\x12#\n\tgetStream\x12\x08.Request\x1a\x06.Reply\"\x00(\x01\x30\x01\x42\x08P\x01\xa2\x02\x03HLWb\x06proto3')


_REQUEST = DESCRIPTOR.message_types_by_name['Request']
_REPLY = DESCRIPTOR.message_types_by_name['Reply']
Request = _reflection.GeneratedProtocolMessageType('Request', (_message.Message,), {
    'DESCRIPTOR': _REQUEST,
    '__module__': 'Datas_pb2'
    # @@protoc_insertion_point(class_scope:Request)
})
_sym_db.RegisterMessage(Request)

Reply = _reflection.GeneratedProtocolMessageType('Reply', (_message.Message,), {
    'DESCRIPTOR': _REPLY,
    '__module__': 'Datas_pb2'
    # @@protoc_insertion_point(class_scope:Reply)
})
_sym_db.RegisterMessage(Reply)

_MAINSERVER = DESCRIPTOR.services_by_name['MainServer']
if _descriptor._USE_C_DESCRIPTORS == False:

    DESCRIPTOR._options = None
    DESCRIPTOR._serialized_options = b'P\001\242\002\003HLW'
    _REQUEST._serialized_start = 15
    _REQUEST._serialized_end = 39
    _REPLY._serialized_start = 41
    _REPLY._serialized_end = 63
    _MAINSERVER._serialized_start = 65
    _MAINSERVER._serialized_end = 114
# @@protoc_insertion_point(module_scope)
